summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorNP-Hardass <NP-Hardass@gentoo.org>2016-12-30 17:40:38 -0500
committerNP-Hardass <NP-Hardass@gentoo.org>2016-12-30 17:42:35 -0500
commit493600f430ad8bdeb9b421b3ee4a3a18b556c552 (patch)
tree43cf9cc00162d872de5a2ad86fa02581925f2272 /app-emulation/wine/wine-1.9.14-r2.ebuild
parentmedia-libs/atlas-c++: remove unused patches. (diff)
downloadgentoo-493600f430ad8bdeb9b421b3ee4a3a18b556c552.tar.gz
gentoo-493600f430ad8bdeb9b421b3ee4a3a18b556c552.tar.bz2
gentoo-493600f430ad8bdeb9b421b3ee4a3a18b556c552.zip
app-emulation/wine: update to use multilib_foreach_abi in src_install
Uses multilib_foreach_abi to rm wineconsole now, so it should handle systems with merged libdirs, as per mgorny's request. Package-Manager: portage-2.3.0
Diffstat (limited to 'app-emulation/wine/wine-1.9.14-r2.ebuild')
-rw-r--r--app-emulation/wine/wine-1.9.14-r2.ebuild6
1 files changed, 4 insertions, 2 deletions
diff --git a/app-emulation/wine/wine-1.9.14-r2.ebuild b/app-emulation/wine/wine-1.9.14-r2.ebuild
index 1f4a9c950de..6cee7052b61 100644
--- a/app-emulation/wine/wine-1.9.14-r2.ebuild
+++ b/app-emulation/wine/wine-1.9.14-r2.ebuild
@@ -508,8 +508,10 @@ multilib_src_install_all() {
if ! use X && ! use ncurses; then
rm "${D}"/usr/bin/wineconsole* || die
rm "${D}"/usr/share/man/man1/wineconsole* || die
- use abi_x86_32 && rm "${D}"/usr/lib32/wine/{,fakedlls/}wineconsole.exe* || die
- use abi_x86_64 && rm "${D}"/usr/lib64/wine/{,fakedlls/}wineconsole.exe* || die
+ rm_wineconsole() {
+ rm "${D}usr/$(get_libdir)"/wine/{,fakedlls/}wineconsole.exe* || die
+ }
+ multilib_foreach_abi rm_wineconsole
fi
use abi_x86_32 && pax-mark psmr "${D}"usr/bin/wine{,-preloader} #255055